MetaSoul

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
FJsonValueBinary Class Reference

`#include <ESJsonValue.h>`

Inheritance diagram for FJsonValueBinary:

## Public Member Functions
| FJsonValueBinary (const TArray< uint8 > &InBinary)
virtual bool | TryGetString (FString &OutString) const override
virtual bool | TryGetNumber (double &OutDouble) const override
virtual bool | TryGetBool (bool &OutBool) const override
TArray< uint8 > | AsBinary ()

## Static Public Member Functions
static bool | IsBinary (const TSharedPtr< FJsonValue > &InJsonValue)
static TArray< uint8 > | AsBinary (const TSharedPtr< FJsonValue > &InJsonValue)

## Protected Member Functions
virtual FString | GetType () const override

## Protected Attributes
TArray< uint8 > | Value

## Constructor & Destructor Documentation

## ◆ FJsonValueBinary()

FJsonValueBinary::FJsonValueBinary | ( | const TArray< uint8 > & | InBinary | ) |
| inline

## Member Function Documentation

## ◆ AsBinary() [1/2]

TArray< uint8 > FJsonValueBinary::AsBinary | ( |  | ) |
| inline

Return our binary data from this value

## ◆ AsBinary() [2/2]

TArray< uint8 > FJsonValueBinary::AsBinary | ( | const TSharedPtr< FJsonValue > & | InJsonValue | ) |
| static

Convenience method to get binary array from unknown JsonValue, test with IsBinary first.

## ◆ GetType()

virtual FString FJsonValueBinary::GetType | ( |  | ) | const
| inline override protected virtual

## ◆ IsBinary()

bool FJsonValueBinary::IsBinary | ( | const TSharedPtr< FJsonValue > & | InJsonValue | ) |
| static

Convenience method to determine if passed FJsonValue is a FJsonValueBinary or not.

## ◆ TryGetBool()

virtual bool FJsonValueBinary::TryGetBool | ( | bool & | OutBool | ) | const
| inline override virtual

## ◆ TryGetNumber()

virtual bool FJsonValueBinary::TryGetNumber | ( | double & | OutDouble | ) | const
| inline override virtual

## ◆ TryGetString()

virtual bool FJsonValueBinary::TryGetString | ( | FString & | OutString | ) | const
| inline override virtual

## Member Data Documentation

## ◆ Value

TArray<uint8> FJsonValueBinary::Value
| protected

The documentation for this class was generated from the following files:

- EmoShapeJson/Public/ESJsonValue.h
- EmoShapeJson/Private/ESJsonValue.cpp